#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER taidinh


#if !defined(_UST_PIPE_AND_FORK_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define _UST_PIPE_AND_FORK_H

#include <lttng/tracepoint.h>

TRACEPOINT_EVENT(
	/* Tracepoint provider name */
	taidinh,

	/* Tracepoint name */
	ust_pipe_and_fork,

	/* Input arguments */
	TP_ARGS(
		int, index,
		const char*, msg
		),

	/* Output event fields */
	TP_FIELDS(
		ctf_integer(int, index, index)
		ctf_string(msg, msg)
		)
	)

#endif /* _UST_PIPE_AND_FORK_H */

#undef TRACEPOINT_INCLUDE
#define TRACEPOINT_INCLUDE "./ust_pipe_and_fork.h"

#include <lttng/tracepoint-event.h>
